Subject: bug#49346: headings when using sh-mode

From: [email-masked]
Date: Sat, 3 Jul 2021 02:19:25 +0200 (CEST)

Have been reviewing some functionality in a bash script that I use with my .bashrc.

I enabled `outline-minor-mode` and found that by default `sh-script` uses `*`, `**`, `***`

as headings.  Because the headings are not part of comments, my bash script breaks 

if I use headings in this way.  Headings normally start with the comment character.

Also realised that the same colour is used for all heading levels, making it difficult to

individualise the level structure.  The colours seem to change by mode, whereas it would

be more appreciated if outline-minor-mode utilises tho same set of heading level colouring

in all modes.